### Enumeration

# WPEWebKit HitTestResultContext

since: 2.0

#### Declaration

    flags WPEWebKit.HitTestResultContext

#### Description [src]

Enum values with flags representing the context of a `WebKitHitTestResult`.

Available since: 2.0

#### Members

`WEBKIT_HIT_TEST_RESULT_CONTEXT_DOCUMENT`

  Anywhere in the document.

  - Value: `2`
  - Nickname: `document`
  - Available since: 2.0
`WEBKIT_HIT_TEST_RESULT_CONTEXT_LINK`

  A hyperlink element.

  - Value: `4`
  - Nickname: `link`
  - Available since: 2.0
`WEBKIT_HIT_TEST_RESULT_CONTEXT_IMAGE`

  An image element.

  - Value: `8`
  - Nickname: `image`
  - Available since: 2.0
`WEBKIT_HIT_TEST_RESULT_CONTEXT_MEDIA`

  A video or audio element.

  - Value: `16`
  - Nickname: `media`
  - Available since: 2.0
`WEBKIT_HIT_TEST_RESULT_CONTEXT_EDITABLE`

  An editable element.

  - Value: `32`
  - Nickname: `editable`
  - Available since: 2.0
`WEBKIT_HIT_TEST_RESULT_CONTEXT_SCROLLBAR`

  A scrollbar element.

  - Value: `64`
  - Nickname: `scrollbar`
  - Available since: 2.0
`WEBKIT_HIT_TEST_RESULT_CONTEXT_SELECTION`

  A selected element. Since 2.8

  - Value: `128`
  - Nickname: `selection`
  - Available since: 2.0